| Home | Libraries | People | FAQ | More

##### params_encoded_ref::clear

Clear the contents of the container.

###### Synopsis

    void
    clear();

###### Description

All iterators are invalidated.

###### Effects

    this->url().remove_query();

###### Postconditions

    this->empty() == true && this->url().has_query() == false

###### Complexity

Constant.

###### Exception Safety

Throws nothing.